petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscSortMPIIntWithArray

Sorts an array of integers in place in increasing order; changes a second array to match the sorted first array.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscSortMPIIntWithArray(PetscMPIInt n,PetscMPIInt X[],PetscMPIInt Y[])

Not Collective

### Input Parameters

| n | - number of values
| X | - array of integers
| Y | - second array of integers

### See Also

PetscSortReal(), PetscSortIntPermutation(), PetscSortInt()

### Level

intermediate

### Location

src/sys/utils/sorti.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages